package com.ruoyi.bst.suit.mapper;

import java.util.List;
import com.ruoyi.bst.suit.domain.Suit;
import com.ruoyi.bst.suit.domain.SuitVO;
import com.ruoyi.bst.suit.domain.SuitQuery;
import org.apache.ibatis.annotations.Param;

/**
 * 套餐Mapper接口
 *
 * @author ruoyi
 * @date 2025-04-25
 */
public interface SuitMapper
{
    /**
     * 查询套餐
     *
     * @param suitId 套餐主键
     * @return 套餐
     */
    SuitVO selectSuitBySuitId(Long suitId);

    /**
     * 查询套餐列表
     *
     * @param query 套餐
     * @return 套餐集合
     */
    List<SuitVO> selectSuitList(@Param("query")SuitQuery query);

    /**
     * 新增套餐
     *
     * @param suit 套餐
     * @return 结果
     */
    int insertSuit(Suit suit);

    /**
     * 批量新增套餐
     */
    int batchInsert(@Param("list") List<? extends Suit> list);

    /**
     * 批量修改套餐
     */
    int batchUpdate(@Param("list") List<? extends Suit> list);

    /**
     * 修改套餐
     *
     * @param suit 套餐
     * @return 结果
     */
    public int updateSuit(@Param("data") Suit suit);

    /**
     * 删除套餐
     *
     * @param suitId 套餐主键
     * @return 结果
     */
    int deleteSuitBySuitId(Long suitId);

    /**
     * 批量删除套餐
     *
     * @param suitIds 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteSuitBySuitIds(List<Long> suitIds);

    /**
     * 逻辑删除套餐
     *
     * @param ids 需要删除的套餐主键集合
     * @return 结果
     */
    int logicDel(@Param("ids") List<Long> ids);

}
